<template>
    <div class="message">
        <h1>{{ message }}</h1>
    </div>
</template>

<script lang="ts">
    import Vue from 'vue';

    export default Vue.extend({
        name: 'NotHelloWorld',
        // 'data' must be a function to isolate scope
        data() {
            return {
                message: "Definitely NOT a 'Hello World' message!"
            }
        }
    });
</script>

<style scoped lang="scss">
    .message {
        width: 800px;
        padding: 30px;
        margin: 0 auto;
        background-color: #42b983;

        h1 {
            color: #ffffff;
        }
    }
</style>

